{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}

{% endblock %}

{% block title %}Add Topics{% endblock %}
{% block topics_active %}active{% endblock %}
{% block parent_topics_a_active %}active{% endblock %}
{% block parent_topics_i_active %}active{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
       <section class="panel panel-content">
            <header class="panel-heading">
                Add Topics
            </header>
            {% if messages %}
                <div id="message" class="col-lg-12 alert alert-info">
                    {% for message in messages %}
                        <span value=""> Error: <p class="text-danger" style="font-size: 18px">{{ message }}</p></span>
                    {% endfor %}
                </div>
            {% endif %}
            <div class="panel-body">
                <form class="form-horizontal" action="" role="form" method="post"
                      enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="account_group" class="col-lg-2 col-sm-2 control-label">Category<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.category }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="subject" class="col-lg-2 col-sm-2 control-label">Subject<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.subject }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="subject_cn" class="col-lg-2 col-sm-2 control-label">Subject_CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.subject_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="body" class="col-lg-2 col-sm-2 control-label">Content<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.body }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="body_cn" class="col-lg-2 col-sm-2 control-label">Content_CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.body_cn }}
                        </div>
                    </div>
                    <div class="form-group">

                        <label for="link_address" class="col-lg-2 col-sm-2 control-label">Link Address</label>
                        <div class="col-lg-10">
                            {{ form_info.link_address }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="hash_tags" class="col-lg-2 col-sm-2 control-label">Hash Tags</label>
                        <div class="col-lg-10">
                            {{ form_info.hash_tags }}
                            <span class="text-primary">* Please input as format: #hashtag1 #hastag2 #hastag3</span>
                        </div>
                    </div>
                    <div class="row hidden">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="open_date" class="col-lg-4 col-sm-4 control-label">Num Like</label>
                                <div class="col-lg-8">
                                    {{ form_info.num_like }}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="close_date" class="col-lg-4 col-sm-4 control-label">Num Share</label>
                                <div class="col-lg-8">
                                    {{ form_info.num_share }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="open_date" class="col-lg-4 col-sm-4 control-label">Open Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.open_date }}
                                    <span id="lbTimeError" class="text-danger hidden">* Please input open date smaller then close date.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="close_date" class="col-lg-4 col-sm-4 control-label">Close Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.close_date }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_mail_notify" class="col-lg-2 col-sm-2 control-label">EMail Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_mail_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_sms_notify" class="col-lg-2 col-sm-2 control-label">SMS Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_sms_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_app_notify" class="col-lg-2 col-sm-2 control-label">Apps Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_app_notify }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                        <div class="col-lg-4">
                            {% if topics.image_path %}
                                <input id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    data-default-file="{% static 'media/' %}{{ topics.image_path }}"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% else %}
                                <input required id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% endif %}
                        </div>
                    </div>

                    <div class="form-group bottom-group">
                         <div class="col-lg-offset-2 col-lg-10">
                            <button type="submit" class="btn btn-success" onclick="return checkDate()">Save
                            </button>
                            <a type="submit" class="btn btn-default" href="{% url 'topics_list' %}">Cancel</a>
                        </div>
                    </div>

                </form>
            </div>
        </section>
    </div>
</div>
{% endblock %}

{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>
        function checkDate() {
            var open = $("#id_open_date").val();
            var close = $("#id_close_date").val();

            if(close < open || close == open) {
                $("#lbTimeError").removeClass("hidden");
                return false;
            } else {
                $("#lbTimeError").addClass("hidden");
            }
        }
    </script>
{% endblock %}
